#pragma once
#include "gamestate.h"

#include "LDTypes.h"
#include "Unit.h"
#include "Universe.h"



class CGSStar : public CGameState
{

  public:

    Universe::Star*         m_pVisitedStar;

    Universe::Planet*       m_pPlanetUnderMouse;

    int                     m_pPlanetUnderMouseIndex;



    CGSStar( Universe::Star* pVisitedStar );
    virtual ~CGSStar();

    virtual void            Display( IDirect3DDevice8* pDevice );

    virtual void            UpdateFrame( const float fElapsedTime );

    virtual void            OnChar( int iChar );
    virtual void            OnKeyDown( int iChar );
    virtual void            OnMouse( int X, int Y, int Buttons );

};
